<?php
if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

$admin->head();
echo "
<table border=0 width=80% cellspacing=2 cellpadding=6>
  <tr>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&$session><b>احصائيات المكتبة</b></a></td>
    <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=new&$session><b>اضف تصنيف جديد</b></a></td>
    <td disabled  align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=list&$session><b>ادارة تصنيفات المكتبة</b></a></td>
     <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=newmoalif&$session><b>اضف مؤلف جديد</b></a></td>
     <td align=center class=datacell><a href=mod.php?act=edit&mod=media&modid=$modid&op=listmoalif&$session><b>تحرير بيانات المؤلف</b></a></td>
 </tr>
</table><br>";

$cat_id = $apt->setid('cat_id');
if($apt->post['stage']){
$do = $apt->post['do'];
$move = $apt->post['move'];
$del = $apt->post['del'];
$tocat_id = $apt->post['tocat_id'];
if (count($do) > 0){

if($move){
	foreach($do as $id){
	$apt->query("update rafia_media_items set item_cat='$tocat_id' where item_id='$id'");
	}
	$numrowst = $apt->dbnumquery("rafia_media_items","item_cat='$tocat_id'");
	$apt->query("update rafia_media_cat set cat_count='$numrowst' where cat_id='$tocat_id'");
	$numrowsf = $apt->dbnumquery("rafia_media_items","item_cat='$cat_id'");
	$apt->query("update rafia_media_cat set cat_count='$numrowsf' where cat_id='$cat_id'");
		modmsg("تم نقل المشاركات المختارة بنجاح<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());

}elseif($del){
	foreach($do as $id){
	$sel = $apt->query("SELECT * FROM rafia_media_items WHERE item_id='$id'");
	while($row = $apt->dbarray($sel)){
      @extract($row);
	@unlink("./../modules/media/photos/$imglink");
	@unlink("./../modules/media/thumb/$imglink");
	}
	$apt->query("delete from rafia_media_items where item_id='$id'");
	}
	$numrowsf = $apt->dbnumquery("rafia_media_items","item_cat='$cat_id'");
	$apt->query("update rafia_media_cat set cat_count='$numrowsf' where cat_id='$cat_id'");
		modmsg("تم حذف المشاركات المختارة بنجاح<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());
}
}else{
		modmsg("عفوا .. انت لم تقم بإختيار اي مشاركة للعمل عليها<br>سوف ترجع الان الى صفحة عرض التصنيفات","mod.php?act=edit&mod=media&op=list&".$admin->get_sess());
}
}else{
$form .= "<script language=Javascript1.2><!--
function checkAll(field)
{
  for(i = 0; i < field.elements.length; i++)
     field[i].checked = true ;
}
function uncheckAll(field)
{
 for(i = 0; i < field.elements.length; i++)
    field[i].checked = false ;
}
</script>";

echo "<form method=\"POST\" act=\"mod.php?act=edit&mod=media&op=control&cat_id=$cat_id&".$admin->get_sess()."\" name='admin'>";
$admin->opentable("ادارة المشاركات");
$result = $apt->query ("SELECT * FROM rafia_media_items WHERE item_cat=$cat_id");
echo "<tr>";
$admin->td_msg("اسم المشاركة");
$admin->td_msg("عرض المشاركة");
$admin->td_msg("اختيار");
echo "</tr>";
while($apt->row =$apt->dbarray($result))
{@extract($apt->row);
echo "<tr>";
$admin->td_msg("$item_title");
$admin->td_msg("<a href=./../mod.php?mod=media&modfile=item&itemid=$item_id target=other>عرض المشاركة</a>");
$admin->td_msg("<input type=checkbox name=do[] value=$item_id>");
echo "</tr>";
}
$admin->closetable();

$form .= "<input type=\"button\" name=\"CheckAll\" value=\"تحديد الكل\" onclick=\"checkAll(document.admin)\" >  " ;
$form .= "<input type=\"button\" name=\"UnCheckAll\" value=\"الغاء التحديد\" onclick=\"uncheckAll(document.admin)\" >  " ;

$form .="<input type=\"submit\" name=\"del\"  value=\"حـــذف\" onClick=\"if (!confirm('هل ترغب فعلاً في الحذف؟')) return false;\">";
            $form .="<br><br>";
            $form .="<input type=\"submit\" name=\"move\" onclick='return checkForm(this)' value=\"انقل المشاركات الى\"> ";
            $form .= "<select name='tocat_id'>\n";
            $form .= "<option value=''> إختر قسم</option>";
            $result = $apt->query("select * from rafia_media_cat where cat_id !='$cat_id'");
            while($row=$apt->dbarray($result))
            {
                $cat_id   = $row["cat_id"];
                $cat_title = $row["cat_title"];
                $form .= "<option value='$cat_id'>$cat_title</option>";
            }
            $form .= "</select>\n";
$form .= $admin->inputhidden("stage",2);
echo "
<script language=javascript>
function checkForm(){
	var xx=document.admin.tocat_id.options[document.admin.tocat_id.selectedIndex].value
	if (xx==''){
		alert('عفوا ... انت لم تقم بإختيار تصنيف لنقل المشاركات إليه'); 
		return false;
	}	
}
</script>";
echo $form ;
echo "</form>";
}

?>